Resolve a free-text credit title to an artist role
curl --request GET \
--url https://www.fmdb.net/api/artists/roles/resolve \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/artists/roles/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/artists/roles/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "ArtistRoleResolution",
"id": "Music by",
"attributes": {
"title": "Music by",
"context": "recording",
"status": "matched",
"confidence": "alias",
"match": {
"id": "57dcc431-5aae-4f0e-827d-e00371533176",
"role": "Composer",
"slug": "composer",
"scope": "all",
"confidence": "alias"
},
"candidates": [
{
"id": "57dcc431-5aae-4f0e-827d-e00371533176",
"role": "Composer",
"slug": "composer",
"scope": "all",
"confidence": "alias"
},
{
"id": "2d8c319c-46bd-4841-ab3b-e9993862b4eb",
"role": "Composer (Additional Music)",
"slug": "composer-additional-music",
"scope": "all",
"confidence": "fuzzy"
}
]
}
}
}{
"errors": [
{
"id": "<string>",
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>",
"meta": {},
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
}
}
]
}ArtistRoleResolution
Resolve a free-text credit title to an artist role
Maps a free-text credit title (e.g. “Music by”, “Orchestrations”, “Conducted by”) to the best-matching FMDB role.
GET
/
api
/
artists
/
roles
/
resolve
Resolve a free-text credit title to an artist role
Authorizations
API token authentication
Query Parameters
Free-text credit title to resolve, e.g. "Music by", "Orchestrations", "Conducted by".
Maximum string length:
255Credit context selecting the role scope set: recording -> [recording, all], linked_recording -> [linked_recording, all], release -> [release, all], track -> [track, all]. Omit to search every scope.
Available options:
recording, linked_recording, release, track Response
Resolution result with the best match and ranked candidates
⌘I
